<form [formGroup]="suspectForm" class="container">
  <!--   Suspect Information Fieldset -->
  <fieldset>
    <legend>Suspect Information</legend>
    <div class="form-group">
      <div class="flex-item">
        <label>Company Name</label><sup>*</sup>
        <input class="form-control" formControlName="company_name" />
        <div class="error-msg" *ngIf="formErrors.company_name">{{ formErrors.company_name }}</div>
      </div>

      <div class="flex-item">
        <label>Title</label>
        <input class="form-control" formControlName="communication_title_id" />
        <div class="error-msg" *ngIf="formErrors.communication_title_id">{{ formErrors.communication_title_id }}</div>
      </div>

      <div class="flex-item">
        <label>Start Date</label>
        <input class="form-control" formControlName="start_date" bsDatepicker
          [bsConfig]="{ containerClass: 'theme-default' }" />
      </div>
    </div>

    <div class="form-group">
      <div class="flex-item">
        <label>Main Name</label>
        <input class="form-control" formControlName="main_name" />
      </div>

      <div class="flex-item">
        <label>Primary Email</label>
        <input class="form-control" formControlName="primary_email" />
        <div class="error-msg" *ngIf="formErrors.primary_email">{{ formErrors.primary_email }}</div>
      </div>

      <div class="flex-item">
        <label>Office Phone</label><sup>*</sup>
        <input class="form-control" formControlName="office_phone" />
        <div class="error-msg" *ngIf="formErrors.office_phone">{{ formErrors.office_phone }}</div>
      </div>
    </div>

    <div class="form-group">
      <div class="flex-item">
        <label>Username</label><sup>*</sup>
        <input class="form-control" formControlName="username" autocomplete="username">
        <div class="error-msg" *ngIf="formErrors.username">{{ formErrors.username }}</div>
      </div>

      <div class="flex-item">
        <label>Password</label>
        <input type="password" class="form-control" formControlName="password" autocomplete="new-password" />
      </div>

      <div class="flex-item">
        <label>Photo</label>
        <input class="d-block upload-photo" type="file" (change)="onFileSelect($event)" />
      </div>
    </div>
  </fieldset>

  <!--  Location Information Fieldset -->
  <fieldset>
    <legend>Location Information</legend>
    <div class="form-group">
      <div class="flex-item">
        <label>Address1</label><sup>*</sup>
        <input class="form-control" formControlName="address1" />
        <div class="error-msg" *ngIf="formErrors.address1">{{ formErrors.address1 }}</div>
      </div>

      <div class="flex-item">
        <label>Address2</label>
        <input class="form-control" formControlName="address2" />
      </div>

      <div class="flex-item">
        <label>Suite No</label>
        <input class="form-control" formControlName="suite_no" />
        <div class="error-msg" *ngIf="formErrors.suite_no">{{ formErrors.suite_no }}</div>
      </div>
    </div>

    <div class="form-group">
      <div class="flex-item">
        <label>City</label><sup>*</sup>
        <input class="form-control" formControlName="city" />
        <div class="error-msg" *ngIf="formErrors.city">{{ formErrors.city }}</div>
      </div>

      <div class="flex-item">
        <label>State</label><sup>*</sup>
        <input class="form-control" formControlName="state_id" />
        <div class="error-msg" *ngIf="formErrors.state_id">{{ formErrors.state_id }}</div>
      </div>

      <div class="flex-item">
        <label>Zip</label><sup>*</sup>
        <input class="form-control" formControlName="zip" />
        <div class="error-msg" *ngIf="formErrors.zip">{{ formErrors.zip }}</div>
      </div>
    </div>

    <div class="form-group">
      <div class="flex-item" style="flex: 0.5">
        <label>Office Phone2</label>
        <input class="form-control" formControlName="office_phone2" />
        <div class="error-msg" *ngIf="formErrors.office_phone2">{{ formErrors.office_phone2 }}</div>
      </div>

      <div class="flex-item" style="flex: 0.4">
        <label>Fax</label>
        <input class="form-control" formControlName="fax" />
      </div>

      <div class="flex-item">
        <label>Branch</label><sup>*</sup>
        <select class="form-control" [value]="0" formControlName="branch_id">
          <option [value]="0" disabled>Select</option>
          <option *ngFor="let option of branchList" [value]="option.id">{{ option.title }}</option>
        </select>
        <div class="error-msg" *ngIf="formErrors.branch_id">{{ formErrors.branch_id }}</div>
      </div>

      <div class="flex-item">
        <label>Location</label><sup>*</sup>
        <select class="form-control" [value]="0" formControlName="location_id">
          <option [value]="0" disabled>Select</option>
          <option *ngFor="let option of locationList" [value]="option.id">{{ option.title }}</option>
        </select>
        <div class="error-msg" *ngIf="formErrors.location_id">{{ formErrors.location_id }}</div>
      </div>
    </div>
  </fieldset>

  <!-- Social Media INfo Fieldset -->
  <fieldset>
    <legend>Social Media Info</legend>

    <div class="form-group">
      <div class="flex-item">
        <label>Website</label>
        <input class="form-control" formControlName="website" />
        <div class="error-msg" *ngIf="formErrors.website">{{ formErrors.website }}</div>
      </div>

      <div class="flex-item">
        <label>Linkedin</label>
        <input class="form-control" formControlName="linktin" />
        <div class="error-msg" *ngIf="formErrors.linktin">{{ formErrors.linktin }}</div>
      </div>

      <div class="flex-item">
        <label>Facebook</label>
        <input class="form-control" formControlName="facebook" />
        <div class="error-msg" *ngIf="formErrors.facebook">{{ formErrors.facebook }}</div>
      </div>
    </div>

    <div class="form-group">
      <div class="flex-item">
        <label>Twitter</label>
        <input class="form-control" formControlName="twitter" />
        <div class="error-msg" *ngIf="formErrors.twitter">{{ formErrors.twitter }}</div>
      </div>

      <div class="flex-item">
        <label>Google Circle</label>
        <input class="form-control" formControlName="google_circle" />
      </div>

      <div class="flex-item">
        <label>Map</label>
        <input class="form-control" formControlName="map" />
      </div>
    </div>

    <div class="form-group">
      <div class="flex-item">
        <label>Other1</label>
        <input class="form-control" formControlName="other2" />
      </div>

      <div class="flex-item">
        <label>Other2</label>
        <input class="form-control" formControlName="other3" />
      </div>

      <div class="flex-item"></div>
    </div>
  </fieldset>

  <div class="mb-3">
    <button *ngIf="!editMode" class="btn btn-primary mr-3" (click)="onSubmit()">Save</button>
    <button *ngIf="editMode" class="btn btn-primary mr-3" (click)="onEdit()">Save</button>
    <button class="btn btn-danger" (click)="onCancel()">Cancel</button>
  </div>

</form>